View Issue Details

IDProjectCategoryView StatusLast Update
00021933 - Current Dev ListBugpublic2019-09-07 08:42
Reporterg3ucqAssigned Tog3ucq 
PrioritynormalSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.226 
Summary0002193: DM780/ CW (KY Cmd) problem
DescriptionReported on the Forum that sending CW using the CW (KY cmd) the whole message is not sent.
https://forums.ham-radio-deluxe.com/forum/hrd-6-x-peer-support-forums/hrd-6-2-digital-master/43140-cw-ky-text-not-sending-out-completely-cropped-at-the-end
which I can confirm.
Steps To ReproduceLoad HRD and DM780. Select the CW (KY Cmd) mode from the mode drop down menu.
Click on a macro e.g. CQ CQ etc.
The message may end early.
It could be associated with either the <stop> macro or having AutoStop checked in the Macro edit window,
I did find that if the words in the message were truncated instead of having spaces between them the characters were sent completely.
I have been unable to tie this down to a particular chain of events but to check this reliably it seems necessary to shut down DM780 between changes to any macros and reload DM780. Perhaps to clear a cache?
I do not get this problem when using the CW only mode from DM780.
TagsNo tags attached.
ModuleDM780
Sub-ModuleMacros
Testing Beta Successful

Activities

g3ucq

2019-03-07 04:35

updater   ~0007616

No problems now. Fixed

K7ZCZ

2019-06-06 13:20

administrator   ~0008001

John, is this happening in current builds of the proudct? If it isn't, I'd like to close it. Thanks!

g3ucq

2019-06-06 13:48

updater   ~0008009

No problem now. Fixed.

K7ZCZ

2019-06-06 16:46

administrator   ~0008015

Thanks!

g3ucq

2019-09-02 07:56

updater   ~0008490

Still OK

WA9PIE

2019-09-07 08:42

administrator   ~0008520

Validated

Issue History

Date Modified Username Field Change
2017-08-10 04:08 g3ucq New Issue
2019-03-07 04:35 g3ucq Note Added: 0007616
2019-06-06 13:19 K7ZCZ Assigned To => g3ucq
2019-06-06 13:19 K7ZCZ Status new => assigned
2019-06-06 13:20 K7ZCZ Note Added: 0008001
2019-06-06 13:48 g3ucq Note Added: 0008009
2019-06-06 16:46 K7ZCZ Status assigned => resolved
2019-06-06 16:46 K7ZCZ Resolution open => fixed
2019-06-06 16:46 K7ZCZ Testing => Not Started
2019-06-06 16:46 K7ZCZ Note Added: 0008015
2019-06-22 16:39 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2019-06-22 16:45 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2019-08-30 13:50 K7ZCZ Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2019-08-30 16:13 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-02 07:56 g3ucq Note Added: 0008490
2019-09-07 08:42 WA9PIE Status resolved => closed
2019-09-07 08:42 WA9PIE Testing Not Started => Beta Successful
2019-09-07 08:42 WA9PIE Note Added: 0008520